For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
Logo
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETGet All
      • POSTCreate
      • POSTUpdate
      • GETGet
      • DELDelete
Sign inBook a demo
API ReferenceCustom Payment Method Schema

Create

POST
https://api.mercoa.com/paymentMethod/schema
POST
/paymentMethod/schema
$curl -X POST https://api.mercoa.com/paymentMethod/schema \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Wire",
> "isSource": false,
> "isDestination": true,
> "fields": [
> {
> "name": "bankName",
> "type": "text",
> "optional": false,
> "displayName": "Bank Name"
> },
> {
> "name": "recipientName",
> "type": "text",
> "optional": false,
> "displayName": "Recipient Name"
> },
> {
> "name": "accountNumber",
> "type": "usBankAccountNumber",
> "optional": false,
> "displayName": "Account Number",
> "useAsAccountNumber": true
> },
> {
> "name": "routingNumber",
> "type": "usBankRoutingNumber",
> "optional": false,
> "displayName": "Routing Number"
> }
> ],
> "supportedCurrencies": [
> "USD",
> "EUR"
> ],
> "estimatedProcessingTime": 0,
> "maxAmount": 100000,
> "minAmount": 1
>}'
1{
2 "id": "cpms_4794d597-70dc-4fec-b6ec-c5988e759769",
3 "name": "Wire",
4 "isSource": false,
5 "isDestination": true,
6 "supportedCurrencies": [
7 "USD",
8 "EUR"
9 ],
10 "fields": [
11 {
12 "name": "bankName",
13 "type": "text",
14 "optional": false,
15 "displayName": "Bank Name"
16 },
17 {
18 "name": "recipientName",
19 "type": "text",
20 "optional": false,
21 "displayName": "Recipient Name"
22 },
23 {
24 "name": "accountNumber",
25 "type": "usBankAccountNumber",
26 "optional": false,
27 "displayName": "Account Number",
28 "useAsAccountNumber": true
29 },
30 {
31 "name": "routingNumber",
32 "type": "usBankRoutingNumber",
33 "optional": false,
34 "displayName": "Routing Number"
35 }
36 ],
37 "estimatedProcessingTime": 0,
38 "createdAt": "2021-01-01T00:00:00Z",
39 "updatedAt": "2021-01-01T00:00:00Z",
40 "maxAmount": 100000,
41 "minAmount": 1
42}
Create custom payment method schema
Was this page helpful?
Previous

Update

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired
isSourcebooleanRequired
This payment method can be used as a payment source for an invoice
isDestinationbooleanRequired
This payment method can be used as a payment destination for an invoice
fieldslist of objectsRequired
supportedCurrencieslist of enumsOptional
List of currencies that this payment method supports. If not provided, the payment method will support only USD.
estimatedProcessingTimeintegerOptional

Estimated time in days for this payment method to process a payments. Set as 0 for same-day payment methods, -1 for unknown processing time.

maxAmountdoubleOptional
The maximum amount that can be transferred from this payment method in a single transaction.
minAmountdoubleOptional
The minimum amount that can be transferred from this payment method in a single transaction. Default is 1.

Response

This endpoint returns an object.
idstring
namestring
isSourceboolean
This payment method can be used as a payment source for an invoice
isDestinationboolean
This payment method can be used as a payment destination for an invoice
supportedCurrencieslist of enums
List of currencies that this payment method supports.
fieldslist of objects
estimatedProcessingTimeinteger

Estimated time in days for this payment method to process a payments. 0 is an same-day payment methods, -1 is unknown processing time.

createdAtdatetime
updatedAtdatetime
maxAmountdouble
The maximum amount that can be transferred from this payment method in a single transaction.
minAmountdouble
The minimum amount that can be transferred from this payment method in a single transaction. Default is 1.

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented